$(function ()
{
	// register the test of the accelerometer.getLastAcceleration funciton.
	$('#getCurAccBtn').tap(function () 
	{
		var cbSuccess = function (acceleration)
		{
			$('#curAccX').val(acceleration.x);
			$('#curAccY').val(acceleration.y);
			$('#curAccZ').val(acceleration.z);
			$('#curAccTS').val(acceleration.timestamp);
		};
		
		var cbFail = function (){};
		if (conduitApi.platform.accelerometer.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.accelerometer.getLastAcceleration(
				cbSuccess, 
				cbFail
				);
		}
		else 
		{
			alert('Acceleration not supported');
		}
	});
	
	var accHandle;
	
	// register the start and stop acceleration test buttons
	$('#startAccBtn').tap(function ()
	{
		var cbSuccess = function (accelerationHandle, acceleration)
		{
			$('#liveAccX').val(acceleration.x);
			$('#liveAccY').val(acceleration.y);
			$('#liveAccZ').val(acceleration.z);
			$('#liveAccTS').val(acceleration.timestamp);
			accHandle = accelerationHandle;
		};
		
		var cbFail = function (){};
		if (conduitApi.platform.accelerometer.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.accelerometer.startAcceleration(
				cbSuccess, 
				cbFail,
				{
					frequency: +$('#txtAccFrequency').val()
				}
				);
		}
		else 
		{
			alert('Acceleration not supported');
		}
	});

	// register the start and stop acceleration test buttons
	$('#stopAccBtn').tap(function ()
	{
		var cbFail = function (){};
		var cbSuccess = function (){};
		
		if (conduitApi.platform.accelerometer.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.accelerometer.stopAcceleration(
				cbSuccess,
				cbFail,
				accHandle
				);
		}
		else 
		{
			alert('Acceleration not supported');
		}
	});
	
});