/**
 * @author Yoel
 */

function initPage()
{
    // initialize this slave.
    conduitApi.init(function ()
    {
        conduitApi.platform.deviceInfo.getDeviceInfo(function (deviceInfo)
        {
            PLATFORM = deviceInfo.platform;
            DEVICE = deviceInfo.device;
            LAYOUT = deviceInfo.layout;
            
            // This stops mobile devices (such as iPhone) to bounch the entire screen when the user
            // swipes his finger through the webview
            if ((DEVICE !== deviceTypeEnum.android) || (PLATFORM !== platformEnum.nativeApp))
            {
                $(document).bind('touchmove', function(e) { e.preventDefault(); }, true);
            }
            
            $(document).ready(function ()
            {
                // Initialize IScroll
                Scrolling.initScrolling();
				
				$('.controller').bind('pagebeforeshow', function (event, info)
		        {
					conduitApi.app.removeBackButton(null, null);
					$page = $(this);
					if ($page.hasClass('with_back_button'))
					{
				        var img = '../common/img/back.png';
				        var addToRight = false;
				        var cbHandle = function ()
				        {
				            history.back();
				        };

				        conduitApi.app.addBackButton(
							null,
							null,
			                img,
			                addToRight,
			                cbHandle);

		            }
		        });
            });
        });
    });
}

// Initialize page
initPage();
