$(function ()
{
	// register the test of the accelerometer.getLastAcceleration funciton.
	$('#registerShakeBtn').tap(function () 
	{
		var cbSuccess = function ()
		{
			$('#txtShakeRegisterStatus').val('Register success');
			$('#txtShakeUnregisterStatus').val('');
			$('#txtShakeEvent').val('');
		};
		
		var cbFail = function ()
		{
			$('#txtShakeRegisterStatus').val('register fail');
		};
		
		var eventHandler = function()
		{
			$('#txtShakeEvent').val('Device was shaken');
		};
		
		if (conduitApi.platform.gestures.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.gestures.registerShake(
				cbSuccess, 
				cbFail,
				eventHandler
				);
		}
		else 
		{
			alert('Gestures not supported');
		}
	});

	$('#unregisterShakeBtn').tap(function ()
	{
		if (conduitApi.platform.gestures.isSupported()) 
		{
			// perform vibration
			
			var cbSuccess = function ()
			{
				$('#txtShakeUnregisterStatus').val('Registration removed');
				$('#txtShakeEvent').val('');
				$('#txtShakeRegisterStatus').val('');
			};
		
			var cbFail = function ()
			{
				$('#txtShakeUnregisterStatus').val('unregister fail');
			};
			
			conduitApi.platform.gestures.unregisterShake(cbSuccess, cbFail);
		}
		else 
		{
			alert('Gestures not supported');
		}
	});
});
