$(function ()
{
	// register the test of the accelerometer.getLastAcceleration funciton.
	$('#registerPushNotificationBtn').tap(function () 
	{
		var cbSuccess = function ()
		{
			$('#txtPNRegisterStatus').val('register success');
		};
		
		var cbFail = function (error)
		{
			$('#txtPNRegisterStatus').val('register fail');
		};
		var eventHandler = function(msg)
		{
			$('#txtNotification').val(msg);
		};
		
		if (conduitApi.platform.geo.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.pushNotification.registerPushNotification(
				cbSuccess, 
				cbFail,
				eventHandler
				);
		}
		else 
		{
			alert('Push notification not supported');
		}
	});

	$('#unregisterPushNotificationBtn').tap(function ()
	{
		if (conduitApi.platform.pushNotification.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.pushNotification.unregisterPushNotification(function () 
			{
				$('#txtPNUnregisterStatus').val('Registration removed');
			}, function () 
			{
				$('#txtPNUnregisterStatus').val('Unregistration Error');
			});
			
		}
		else 
		{
			alert('Push notification not supported');
		}
	});
});
