// old application colors:
window.__overrideLayout = 
{
	/* ======= */
	/* General */
	/* ======= */
	app_background: 
	{
		"type": "background",
		"code": "j",
		"meta":
		{
			"type": "solid",
			"color": { _replace: [{ param: 'color_J' }, {'const': '#FFbbc4cb'}] }
		}
	},
	
	/* ================= */
	/* Info bar (header) */
	/* ================= */
	infobar_background: 
	{
		"type": "background",
		"code": "a",
		"meta":
		{
			"type": "solid",
			"color": { _replace: [{ param: 'color_A' }, {'const': '#FF5d6065'}] }  //"color": "#FF5d6065" //dynamic							
		}
	},
	
	infobar_border: 
	{
		"type": "border",
		"code": "aa",
		"meta":
		{                                                                                                       
		}
	},

		
	infobar_title:
	{
		"type": "text",
		"code": "b",
		"meta":
		{
			"color": { _replace: [{ param: 'color_B' }, {'const': '#FFFFFFFF'}] }  //"color": "#FFFFFFFF"	//dynamic							
		}
	},
	
	infobar_icon: //not in use (yet?)
	{
		"type": "background",
		"code": "o",
		"meta":
		{
		}
	},
	
	infobar_button_background: 
	{
		"type": "background",
		"meta":
		{
			"type": "solid",
			"color": "#7f000000"                                                                                                               
		}
	},

	infobar_button_background_selected: 
	{
		"type": "background",
		"meta":
		{
			"type": "solid",
			"color": "#33000000"                                                                                                                   
		}
	},

	infobar_button_border: 
	{
		"type": "border",
		"meta":
		{
		}
	},
	
	infobar_button_border_selected: 
	{
		"type": "border",
		"meta":
		{
		}
	},
	
	/* ========== */
	/* Footer bar */
	/* ========== */
	footer_background:
	{
		"type": "background",
		"code": "footer",
		"meta":
		{
			"type": "solid",
			"color": "#00000000", //static
			"shadow": { "isInset": false, "x": "0px", "y": "-2px", "blur": "3px", "color": "#99000000"}                                                                                                                                                                                                                                                                                                                                              																																
		}
	},
	
	/* ============== */
	/* Navigation bar */
	/* ============== */
	navbar_item_background:
	{
		"type": "background",
		"meta":
		{
			"type": "gradient",
			"orientation": "vertical",
			"color": 
			[ 
				{
					"color": "#FF353535",
					"location": 0.0
				},
				{
					"color": "#FF000000",
					"location": 1
				}
			]
		}
	},
	
	navbar_item_background_selected:
	{
		"type": "background",
		"meta":
		{
			"type": "gradient",
			"orientation": "vertical",
			"color": 
			[ 
				{
					"color": "#FF000000",
					"location": 0.0
				},
				{
					"color": "#FF000000",
					"location": 1
				}
			]
		}
	},
	
	navbar_item_border:
	{
		"type": "border",
		"meta":
		{
		}
	},
	
	navbar_item_border_selected:
	{
		"type": "border",
		"meta":
		{
		}
	},

	navbar_item_title:
	{
		"type": "text",
		"code": "nit",
		"meta":
		{
			"color": { _replace: [{ param: 'color_Ct', fn: 'hsla', params: [1, 1, 1, 0.8] }, {'const': '#CCFFFFFF'}] },  //"color": "#CCFFFFFF",  //dynamic
			"shadow": {	"x": "0", "y": "1px", "blur": "0", "color": "#00000000"}  //static
											
		}
	},

	navbar_item_title_selected:
	{
		"type": "text",
		"meta":
		{
			"color": { _replace: [{ param: 'color_Ct', fn: 'hsla', params: [1, 1, 1, 0.8] }, {'const': '#CCFFFFFF'}] },  //"color": "#CCFFFFFF",  //dynamic
			"shadow":{ "x": "0", "y": "1px", "blur": "0", "color": "#00000000"} //static 								
		}
	},
	
	navbar_icon: //not in use (yet?)
	{
		"type": "background",
		"code": "p",
		"meta":
		{							
		}
	},
	
	

				
	
    /* ============== */
    /* Inner Tabs bar */
    /* ============== */
	
    tabbar_background:
    {
        "type": "background",
        "meta":
        {
            "type": "solid",
            "color": { _replace: [{ param: 'color_M2', fn: 'hsla', params: [1, 1, 1, 0.78] }, {'const': '#c8FFFFFF'}] }  //"color": "#c8FFFFFF"  //dynamic                              
        }
    },

    tabbar_border:
    {
        "type": "border",
        "meta":
        {
            "bottom":
            { 
                "color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },  // "color": "#FFC1C1C2",   //dynamic
                "width": "1px"
            }
        }
    },
    
    tabbar_item_container_background:
    {
        "type": "background",
        "meta":
        {
            "type": "solid",
            "color": "#00000000"     //static                           
        }
    },
    
    tabbar_item_container_background_selected:
    {
        "type": "background",
        "meta":
        {
            "type": "solid",
            "color": "#00000000"   //static                             
        }
    },
	
    tabbar_item_container_border:
    {
        "type": "border",
        "meta":
        {
        }
    },

    tabbar_item_container_border_selected:
    {
        "type": "border",
        "meta":
        {
        }
    },

    
    tabbar_item_background:
    {
        "type": "background",
        "meta":
        {
            "type": "solid",
            "color": "#00000000"   //static 
        }
    },
    
    tabbar_item_background_selected:
    {
        "type": "background",
        "meta":
        {
            "type": "solid",
            "color": "#FFb0b0b1"      //static                         
        }
    },

    tabbar_item_background_hover:
    {
        "type": "background",
        "meta":
        {
            "type": "solid",
            "color": "#3C000000"    //static                            
        }
    },
	
    tabbar_item_border:
    {
        "type": "border",
        "meta":
        {
        }
    },

    tabbar_item_border_selected:
    {
        "type": "border",
        "meta":
        {
        }
    },
    
    tabbar_item_border_hover:
    {
        "type": "border",
        "meta":
        {
        }
    },


    tabbar_item_title:
    {
        "type": "text",
        "meta":
        {
            "color": { _replace: [{ param: 'color_E' }, {'const': '#FF589dde'}] },  //"color": "#FF589dde",  //dynamic
			"shadow": { "x": "0", "y": "1px", "blur": "0", "color": "#FFf6f5f1" } //static
        }
    },

    tabbar_item_title_selected:
    {
        "type": "text",
        "meta":
        {
            "color": "#FFFFFFFF",  //static   
			"shadow": {	"x": "0", "y": "-1px", "blur": "0",	"color": "#FFa1a09e"} //static			
        }
    },
    
    tabbar_item_title_hover:
    {
        "type": "text",
        "meta":
        {
            "color": "#FFFFFFFF", //static
			"shadow": {	"x": "0", "y": "-1px", "blur": "0",	"color": "#FFa1a09e"} //static			
        }
    },
	
	/* ========= */
	/* Content A */
	/* ========= */
	
	item_a_background:
	{
		"type": "background",
		"code": "m",
		"meta":
		{
			"type": "solid",
			"color": "#FFFFFFFF"	//static																				
		}
	},

	item_a_background_selected:
	{
		"type": "background",
		"meta":
		{
			"type": "solid",
			"color": "#FFEFEFEF"	//static								
		}
	},
	
	item_a_classic_border:
	{
		"type": "border",
		"code": "nc",
		"meta":
		{
			"bottom":
			{ 
				"color": "#FFDDDDDD",  //static	
				"width": "1px"
			},	
			"top":
			{ 
				"color": "#FFFFFFFF",  //static	
				"width": "1px"
			}								
			
			
		}
	},
	
	item_a_classic_border_selected:
	{
		"type": "border",
		"meta":
		{
		}
	},
	
	item_a_bubble_border:
	{
		"type": "border",
		"code": "nb",
		"meta":
		{
		}
	},
	
	item_a_bubble_border_selected:
	{
		"type": "border",
		"meta":
		{
		}
	},
	
	item_a_title:
	{
		"type": "text",
		"code": "h",
		"meta":
		{
			"color": "#FF2a2a2a"  //static	
		}
	},
	
	item_a_text:
	{
		"type": "text",
		"code": "i",
		"meta":
		{
			"color": "#80000000",  //static
			"shadow": { "x": "0", "y": "1px", "blur": "0", "color": "#CCFFFFFF"}  //static			
		}
	},
	
	item_a_alt_text1:
	{
		"type": "text",
		"code": "k",
		"meta":
		{
			"color": "#FFB4B4B4" //static						
		}
	},
	
	item_a_alt_text2:
	{
		"type": "text",
		"code": "l",
		"meta":
		{
			"color": "#FFCCCCCC" //static					
		}
	},
	
	item_a_link:
	{
		"type": "text",
		"code": "e",
		"meta":
		{
			"color": { _replace: [{ param: 'color_E' }, {'const': '#FF589dde'}] }  //"color": "#FF589dde"	//dynamic						
		}
	},
	
	item_a_icon://not in use (yet?)
	{
		"type": "background",
		"code": "q",
		"meta":
		{							
		}
	},
	
	
	/* ========= */
	/* Content B */
	/* ========= */

	item_b_background:
	{
		"type": "background",
		"code": "m2",
		"meta":
		{
			"type": "solid",
			"color": { _replace: [{ param: 'color_M2', fn: 'hsla', params: [1, 1, 1, 0.78] }, {'const': '#c8FFFFFF'}] },  //"color": "#C8FFFFFF",   //dynamic
			"shadow": { "isInset": false, "x": "1px", "y": "1px", "blur": "3px", "color": "#96000000"}	  //static		
		}
	},

	item_b_background_selected:
	{
		"type": "background",
		"meta":
		{
			"type": "solid",
			"color": { _replace: [{ param: 'color_M2', fn: 'hsla', params: [1, 1, 1, 0.59] }, {'const': '#96FFFFFF'}] }  //"color": "#96FFFFFF"	//dynamic							
		}
	},
	
	item_b_bubble_border:
	{
		"type": "border",
		"code": "nb2",
		"meta":
		{
		}
	},

	item_b_bubble_border_selected:
	{
		"type": "border",
		"meta":
		{
		}
	},

	item_b_classic_border:
	{
		"type": "border",
		"code": "nc2",
		"meta":
		{
			"bottom":
			{ 
				"color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },  //"color": "#FFC1C1C2", //static
				"width": "1px"
			}							
		}
	},
	
	item_b_classic_border_selected:
	{
		"type": "border",
		"meta":
		{
		}
	},

	item_b_rectangle_border:
	{
		"type": "border",
		"code": "nr2",
		"meta":
		{
			"left":
			{ 
				"color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },  //"color": "#FFC1C1C2", //static
				"width": "1px"
			},							
			"right":
			{ 
				"color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },  //"color": "#FFC1C1C2", //static
				"width": "1px"
			},							
			"bottom":
			{ 
				"color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },  //"color": "#FFC1C1C2", //static
				"width": "1px"
			},							
			"top":
			{ 
				"color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },  //"color": "#FFC1C1C2", //static
				"width": "1px"
			}							
		}
	},

	item_b_rectangle_border_selected:
	{
		"type": "border",
		"meta":
		{
		}
	},

	item_b_title:
	{
		"type": "text",
		"code": "h2",
		"meta":
		{
			"color": { _replace: [{ param: 'color_H' }, {'const': '#FF2a2a2a'}] },  //"color": "#FF2a2a2a", //dynamic
			"shadow": {	"x": "1px", "y": "1px", "blur": "0", "color": "#FFFFFFFF"} //static	
		}
		
	},
	
	item_b_text:
	{
		"type": "text",
		"code": "i2",
		"meta":
		{
			"color": { _replace: [{ param: 'color_I' }, {'const': '#FF555555'}] },  //"color": "#FF555555", //dynamic
			"shadow": {	"x": "0", "y": "1px", "blur": "0", "color": "#50FFFFFF"} //static
		}
	},
	
	item_b_alt_text1:
	{
		"type": "text",
		"code": "k2",
		"meta":
		{
			"color": { _replace: [{ param: 'color_K' }, {'const': '#FFa29f9e'}] },  //"color": "#FFa29f9e",  //static
			"shadow": { "x": "1px", "y": "1px", "blur": "0", "color": "#FFFFFFFF"}//static						
		}
	},
	
	item_b_alt_text2:
	{
		"type": "text",
		"code": "l2",
		"meta":
		{							
		}
	},
	
	item_b_link:
	{
		"type": "text",
		"code": "e2",
		"meta":
		{
			"color": { _replace: [{ param: 'color_E' }, {'const': '#FF589dde'}] }  //"color": "#FF589dde"	//dynamic						
		}
	},
	
	item_b_icon://not in use yet
	{
		"type": "background",
		"code": "q2",
		"meta":
		{						
		}
	},

	/* ================ */
	/* Content on image */
	/* ================ */
	
	item_c_background:
	{
		"type": "background",
		"code": "m3",
		"meta":
		{
			"type": "solid",			
			"color": { _replace: [{ param: 'color_M3', fn: 'hsla', params: [1, 1, 1, 0.87] }, {'const': '#DE4f5256'}] }  //"color": "#DE4f5256"		//dynamic					
		}
	},
	
	item_c_title:
	{
		"type": "text",
		"code": "h3",
		"meta":
		{
			"color": { _replace: [{ param: 'color_H3' }, {'const': '#FFFFFFFF'}] }  //"color": "#FFFFFFFF"	//dynamic							
		}
	},

	item_c_text:
	{
		"type": "text",
		"code": "i3",
		"meta":
		{
			"color": { _replace: [{ param: 'color_I3' }, {'const': '#FFFFFF'}] }  //"color": "#FFFFFF"	//dynamic							
		}
	},
				
	item_c_alt_text1:
	{
		"type": "text",
		"code": "k3",
		"meta":
		{
			"color": { _replace: [{ param: 'color_K' }, {'const': '#FFa29f9e'}] }  //"color": "#FFa29f9e"	//static							
		}
	},

	item_c_alt_text2:
	{
		"type": "text",
		"code": "l3",
		"meta":
		{						
		}
	},
	
	item_c_link:
	{
		"type": "text",
		"code": "e3",
		"meta":
		{
			"color": { _replace: [{ param: 'color_E' }, {'const': '#FF589dde'}] }  //"color": "#FF589dde"	//dynamic					
		}
	},
	
	item_c_icon: //not in use yet
	{
		"type": "background",
		"code": "q3",
		"meta":
		{						
		}
	},


	/* ======== */
	/* Button A */
	/* ======== */
	
	button_a_background:
	{
		"type": "background",
		"meta":
		{
			"type": "gradient",
			"orientation": "vertical",
			"color": 
			[ 
				{
					"color": "#FFe4e4e4", //static
					"location": 0.0
				},
				{
					"color": "#FF8d8d8d", //static
					"location": 1
				}
			]
		}
	},

	button_a_background_selected:
	{
		"type": "background",
		"meta":
		{
			"type": "solid",
			"color": "#FF8d8d8d"	//static					
		}
	},
	
	button_a_border:
	{
		"type": "border",
		"code": "buttonBorder",
		"meta":
		{
		}
	},

	button_a_border_selected:
	{
		"type": "border",
		"code": "buttonBorder",
		"meta":
		{
		}
	},
	
	button_a_title:
	{
		"type": "text",
		"meta":
		{
			"color": "#FF5F5B5A", //static
			"shadow": { "x": "0", "y": "1px", "blur": "0", "color": "#80FFFFFF"} //static								
		}
	},


	button_a_title_selected:
	{
		"type": "text",
		"meta":
		{
			"color": "#CC000000",  //static
			"shadow": { "x": "0", "y": "1px", "blur": "0", "color": "#80FFFFFF"} //static								
		}
	},

	/* ======== */
	/* Button B */
	/* ======== */
	
	button_b_background:
	{
		"type": "background",
		"meta":
		{
			"type": "gradient",
			"orientation": "vertical",
			"color": 
			[ 
				{
					"color": "#FFFFFFFF",  //static
					"location": 0.0
				},
				{
					"color": "#FFE6E6E6",  //static
					"location": 1
				}
			]
					
		}
	},

	button_b_background_selected:
	{
		"type": "background",
		"meta":
		{
			"type": "gradient",
			"orientation": "vertical",
			"color": 
			[ 
				{
					"color": "#ffdddddd",  //static
					"location": 0.0
				},
				{
					"color": "#ffcccccc",  //static
					"location": 1
				}
			]
					
		}
	},
	
	button_b_border:
	{
		"type": "border",
		"meta":
		{
			"bottom":
			{ 
				"color": "#FFBFBBB8",  //static
				"width": "1px"
			},
			"right":
			{ 
				"color": "#FFBFBBB8",  //static
				"width": "1px"
			},
			"left":
			{ 
				"color": "#FFBFBBB8",  //static
				"width": "1px"
			},
			"top":
			{ 
				"color": "#FFBFBBB8",  //static
				"width": "1px"
			}							
		}
	},
	
	button_b_border_selected:
	{
		"type": "border",
		"meta":
		{
		}
	},

	button_b_title:
	{
		"type": "text",
		"meta":
		{
			"color": "#FF5F5B5A",  //static
			"shadow": { "x": "0", "y": "1px", "blur": "0", "color": "#80FFFFFF"}  //static								
		}
	},
	
	button_b_title_selected:
	{
		"type": "text",
		"meta":
		{
		}
	},
	
	/* ============ */
	/* Audio player */
	/* ============ */
	
	audio_player_background:
	{
		"type": "background",
		"code": "apm",
		"meta":
		{
			"type": "solid",
			"color": "#AB123456"
		}
	},

	audio_player_background_minimize:
	{
		"type": "background",
		"code": "apmm",
		"meta":
		{
			"type": "solid",
			"color": "#FF654321"                                                                                                                      
		}
	},
	
	audio_player_border:
	{
		"type": "border",
		"code": "apn",
		"meta":
		{
			"bottom":
			{ 
				"color": "#ff55aaff",
				"width": "1px"
			}                                                                                                              
		}
	},
	
	audio_player_title:
	{
		"type": "text",
		"code": "aph",
		"meta":
		{
			"color": "#ffabcdef"
		}
	},
	
	audio_player_text:
	{
		"type": "text",
		"code": "api",
		"meta":
		{
			"color": "#fffedcba"                                                                                                                        
		}
	},
					
	audio_player_icon://not in use (yet?)
	{
		"type": "background",
		"code": "apq",
		"meta":
		{
			"type": "solid",
			"color": "#FFFFFFFF"                                                                                                                      
		}
	},

	audio_player_seek:
	{
		"type": "background",
		"code": "seek",
		"meta":
		{
			"type": "solid",
			"color": "#FF333333"                                                                                                                      
		}
	},

	audio_player_seek_fill:
	{
		"type": "background",
		"code": "sf",
		"meta":
		{
			"type": "solid",
			"color": "#FFFF3333"                                                                                                                      
		}
	},

	/* ===== */
	/* image */
	/* ===== */
	
	little_image_background:
	{
		"type": "background",
		"code": "img",
		"meta":
		{
			"type": "solid",
			"color": "#FFFFFFFF"
		}
	},
	
	little_image_border:
	{
		"type": "border",
		"code": "img",
		"meta":
		{
			"bottom":
			{ 
				"color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },
				"width": "1px"
			},                                                                                                              
			"top":
			{ 
				"color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },
				"width": "1px"
			},                                                                                                              
			"right":
			{ 
				"color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },
				"width": "1px"
			},                                                                                                              
			"left":
			{ 
				"color": { _replace: [{ param: 'color_N' }, {'const': '#FFC1C1C2'}] },
				"width": "1px"
			}                                                                                                              
		}
	},
	
	/* ===== */
	/* input */
	/* ===== */

	input_background:
	{
		"type": "background",
		"meta":
		{
			"type": "solid",
			"color": "#FFFFFFFF"	//static						
		}
	},

	input_background_disabled:
	{
		"type": "background",
		"meta":
		{
			"type": "solid",
			"color": "#FFCCCCCC"	//static						
		}
	},
	
	input_border:
	{
		"type": "border",
		"meta":
		{
			"bottom":
			{ 
				"color": "#FFC1C1C2", 	//static
				"width": "1px"
			},
			"right":
			{ 
				"color": "#FFC1C1C2",	//static
				"width": "1px"
			},
			"left":
			{ 
				"color": "#FFC1C1C2",	//static
				"width": "1px"
			},
			"top":
			{ 
				"color": "#FFC1C1C2",	//static
				"width": "1px"
			}							
		}
	},

	input_border_disabled:
	{
		"type": "border",
		"meta":
		{							
		}
	},

	input_text:
	{
		"type": "text",
		"meta":
		{
			"color": "#FF000000" //static
		}
	},
	
	input_watermark:
	{
		"type": "text",
		"meta":
		{
			"color": "#33000000" //static
		}
	}
};
